Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Imports System.Drawing

<DefaultClassOptions()> _
<NavigationItem("FinancialStock")> _
<CreatableItem(False)> _
Public Class AssetsHandlingParameter
    Inherits BaseObject
    Private _CustomersFrom As CustomersFrom
    Private _ReportData As ReportData '1 fizetési felszólítás
    Private _ReportData2 As ReportData '2 fizetési felszólítás
    Private _ReportData3 As ReportData '3 rendkivüli felmondás

    Private _ReportData_LateChargesDocument As ReportData 'Késedelmi kamatlevél

    Private _ReportDataEN As ReportData '1 fizetési felszólítás (angol nyelven)
    Private _ReportData2EN As ReportData '2 fizetési felszólítás (angol nyelven)
    Private _ReportData3EN As ReportData '3 rendkivüli felmondás (angol nyelven)

    Private _TolerationDay1 As Long 'Türelmi nap 1. felszólításhoz
    Private _TolerationDay2 As Long 'Türelmi nap 2. felszólításhoz
    Private _TolerationDay3 As Long 'Türelmi nap 3. felmondáshoz
    Private _Cost1HUF As Double ' 1. felszólítás költsége
    Private _Cost2HUF As Double ' 2. felszólítás költsége
    Private _Cost3HUF As Double ' 3. felszólítás költsége
    Private _EMailSendQueueParameters As EMailSendQueueParameters

    <Persistent("ForeColor0")> Private _ForeColor0 As Int32 = -1 '0 sorszám színe
    <Persistent("ForeColor1")> Private _ForeColor1 As Int32 = -1 '1 sorszám színe
    <Persistent("ForeColor2")> Private _ForeColor2 As Int32 = -1 '0 sorszám színe
    <Persistent("ForeColor3")> Private _ForeColor3 As Int32 = -1 '1 sorszám színe

    <Persistent("BackColor0")> Private _BackColor0 As Int32 = -1 '0 sorszám színe
    <Persistent("BackColor1")> Private _BackColor1 As Int32 = -1 '1 sorszám színe
    <Persistent("BackColor2")> Private _BackColor2 As Int32 = -1 '0 sorszám színe
    <Persistent("BackColor3")> Private _BackColor3 As Int32 = -1 '1 sorszám színe

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property ReportData As ReportData
        Get
            Return _ReportData
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportData", _ReportData, value)
        End Set
    End Property
    Property ReportData2 As ReportData
        Get
            Return _ReportData2
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportData2", _ReportData2, value)
        End Set
    End Property
    Property ReportData3 As ReportData
        Get
            Return _ReportData3
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportData3", _ReportData3, value)
        End Set
    End Property
    Property ReportDataEN As ReportData
        Get
            Return _ReportDataEN
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportDataEN", _ReportDataEN, value)
        End Set
    End Property
    Property ReportData2EN As ReportData
        Get
            Return _ReportData2EN
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportData2EN", _ReportData2EN, value)
        End Set
    End Property
    Property ReportData3EN As ReportData
        Get
            Return _ReportData3EN
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportData3EN", _ReportData3EN, value)
        End Set
    End Property

    Property ReportData_LateChargesDocument As ReportData
        Get
            Return _ReportData_LateChargesDocument
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportData_LateChargesDocument", _ReportData_LateChargesDocument, value)
        End Set
    End Property

    Property TolerationDay1 As Long
        Get
            Return _TolerationDay1
        End Get
        Set(value As Long)
            SetPropertyValue("TolerationDay1", _TolerationDay1, value)
        End Set
    End Property
    Property TolerationDay2 As Long
        Get
            Return _TolerationDay2
        End Get
        Set(value As Long)
            SetPropertyValue("TolerationDay2", _TolerationDay2, value)
        End Set
    End Property
    Property TolerationDay3 As Long
        Get
            Return _TolerationDay3
        End Get
        Set(value As Long)
            SetPropertyValue("TolerationDay3", _TolerationDay3, value)
        End Set
    End Property
    Property Cost1HUF As Double
        Get
            Return _Cost1HUF
        End Get
        Set(value As Double)
            SetPropertyValue("Cost1HUF", _Cost1HUF, value)
        End Set
    End Property
    Property Cost2HUF As Double
        Get
            Return _Cost2HUF
        End Get
        Set(value As Double)
            SetPropertyValue("Cost2HUF", _Cost2HUF, value)
        End Set
    End Property
    Property Cost3HUF As Double
        Get
            Return _Cost3HUF
        End Get
        Set(value As Double)
            SetPropertyValue("Cost3HUF", _Cost3HUF, value)
        End Set
    End Property
    Property EMailSendQueueParameters As EMailSendQueueParameters
        Get
            Return _EMailSendQueueParameters
        End Get
        Set(value As EMailSendQueueParameters)
            SetPropertyValue("EMailSendQueueParameters", _EMailSendQueueParameters, value)
        End Set
    End Property

    <NonPersistent> _
    Public Property ForeColor0() As Color
        Get
            Return Color.FromArgb(_ForeColor0)
        End Get
        Set(ByVal value As Color)
            _ForeColor0 = value.ToArgb()
            OnChanged("ForeColor0")
        End Set
    End Property
    <NonPersistent> _
    Public Property ForeColor1() As Color
        Get
            Return Color.FromArgb(_ForeColor1)
        End Get
        Set(ByVal value As Color)
            _ForeColor1 = value.ToArgb()
            OnChanged("ForeColor1")
        End Set
    End Property
    <NonPersistent> _
    Public Property ForeColor2() As Color
        Get
            Return Color.FromArgb(_ForeColor2)
        End Get
        Set(ByVal value As Color)
            _ForeColor2 = value.ToArgb()
            OnChanged("ForeColor2")
        End Set
    End Property
    <NonPersistent> _
    Public Property ForeColor3() As Color
        Get
            Return Color.FromArgb(_ForeColor3)
        End Get
        Set(ByVal value As Color)
            _ForeColor3 = value.ToArgb()
            OnChanged("ForeColor3")
        End Set
    End Property

    <NonPersistent> _
    Public Property BackColor0() As Color
        Get
            Return Color.FromArgb(_BackColor0)
        End Get
        Set(ByVal value As Color)
            _BackColor0 = value.ToArgb()
            OnChanged("BackColor0")
        End Set
    End Property
    <NonPersistent> _
    Public Property BackColor1() As Color
        Get
            Return Color.FromArgb(_BackColor1)
        End Get
        Set(ByVal value As Color)
            _BackColor1 = value.ToArgb()
            OnChanged("BackColor1")
        End Set
    End Property
    <NonPersistent> _
    Public Property BackColor2() As Color
        Get
            Return Color.FromArgb(_BackColor2)
        End Get
        Set(ByVal value As Color)
            _BackColor2 = value.ToArgb()
            OnChanged("BackColor2")
        End Set
    End Property
    <NonPersistent> _
    Public Property BackColor3() As Color
        Get
            Return Color.FromArgb(_BackColor3)
        End Get
        Set(ByVal value As Color)
            _BackColor3 = value.ToArgb()
            OnChanged("BackColor3")
        End Set
    End Property
End Class
